全ての記事を取得
curl --request GET \
--url https://api.hubapi.com/cms/v3/blogs/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/v3/blogs/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/v3/blogs/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"abTestId": "<string>",
"archivedAt": 123,
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"blogAuthorId": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableGoogleAmpOutputOverride": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"password": "<string>",
"postBody": "<string>",
"postSummary": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"rssBody": "<string>",
"rssSummary": "<string>",
"slug": "<string>",
"state": "<string>",
"tagIds": [
123
],
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}記事
Get all posts
ページ処理や絞り込みのオプションを含めて全てのブログ記事を取得します。この方法は、記事を取り込んで編集の提案を行う連携で便利です。
GET
/
cms
/
v3
/
blogs
/
posts
全ての記事を取得
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。
削除済みのブログ記事を返すかどうかを指定します。デフォルト値は「false」です。
指定された時間より後に作成されたブログ記事のみを返します。
指定された時間ちょうどに作成されたブログ記事のみを返します。
指定された時間より前に作成されたブログ記事のみを返します。
返す結果の最大数。デフォルト値は20です。
記事から返す特定のプロパティー
結果の並べ替えに使用するフィールドが指定されます。有効なフィールドは「createdAt」(デフォルト)、「name」、「updatedAt」、「createdBy」、「updatedBy」です。
指定された時間より後に最後に更新されたブログ記事のみを返します。
指定された時間ちょうどに最後に更新されたブログ記事のみを返します。
指定された時間より前に最後に更新されたブログ記事のみを返します。
最終更新日 2026年4月10日
⌘I